Test Mcp Server Configuration

Test Mcp Server Configuration
Test configuration of an MCP server by its ID.

This endpoint allows you to test if an MCP server has been configured correctly.

More specifically, the API will attempt to connect to the MCP server as it would when the PAIS backend lists available tools. This allows you to verify whether the stored URL is correct and the PAIS system can connect to the MCP server APIs using the provided custom headers.

To test the configuration before creating the MCP server configuration, you can instead use the /test-connection endpoint.

Request
URI
GET
https://{api_host}/api/v1/control/mcp-servers/test-connection/{mcp_server_id}
COPY
Path Parameters
string
mcp_server_id
Required

mcp_server_id


Authentication
This operation uses the following authentication methods.
Responses
200

Outcome of validating the configuration of the MCP server.

Returns McpServerTestConnectionResponse of type(s) application/json
{
    "status": "string",
    "detail": "string"
}
string
status
Required

MCP server connectivity result.

Possible values are : CONNECTIVITY_RESULT_SUCCESS, CONNECTIVITY_RESULT_CONNECTION_FAILED,
string
detail
Optional

Details about the connectivity result, if any.


404

Invalid MCP server ID.

Operation doesn't return any data structure

422

Validation Error

Returns HTTPValidationError of type(s) application/json
{
    "detail": [
        {
            "loc": [
                {}
            ],
            "msg": "string",
            "type": "string"
        }
    ]
}
array of object
detail
Optional

detail


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v1/control/mcp-servers/test-connection/{mcp_server_id}